/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Pedro Pelaez <pedro@front.id>
 * @author   Marco Marocchi <marco@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

.ReactModal__Overlay {
  background-color: $transparency-black-07;
  z-index: 100;
}

.ReactModal__Body--open {
  overflow: hidden;
}

.modal-content {
  max-width: 98vw;
  max-height: 80vh;
  width: 100%;
  height: auto;
  background: $color-white-01;
  border: 1px solid $color-grey-05;
  border-radius: 4px;
  outline: none;
  overflow: hidden;
  transform: translate3d(-50%, -50%, 0);
  padding: 0;
  margin: auto;
  position: absolute;
  top: 50%;
  left: 50%;

  &.small_size {
    // todo: Small was 30%, but it don't display ok in mobile.
    max-width: 60%;
  }

  &.default_size {
    max-width: 60%;
  }

  &.large_size {
    max-width: 90%;
  }

  @include tablet {
    max-width: 80vw;
  }

  .modal-header {
    background: $color-grey-07;
    height: 40px;
    padding: 5px 10px;
    text-align: right;

    .modal-title {
      display: flex;
      align-items: center;
      justify-content: space-between;
    }

    h2 {
      width: calc(100% - 30px);
      white-space: nowrap;
      overflow: hidden;
      text-align: left;
      text-overflow: ellipsis;
      margin: 0;
      padding: 0 15px 0 0;
    }
  }

  .modal-body {
    padding: 10px;
    overflow: auto;
    max-height: calc(80vh - 40px);

    @include tablet {
      padding: 10px 15px;
    }

    > h1 {
      word-break: break-word;
    }

    .accordion {
      .accordion__heading {
        top: -12px;
      }

      .accordion__button {
        padding: 5px 10px;
      }

      .accordion__panel {
        padding: 5px 10px;

        fieldset {
          border: none;

          > .dynform-field:last-of-type {
            margin-bottom: 0;
          }
        }
      }
    }

    .surveys-modal {
      padding-top: 10px;

      > span {
        display: inline-block;
        font-weight: 500;
        margin-right: 10px;
      }
    }

    .card-serveys-actions {
      padding: 10px 0;

      .btn:not(:first-child) {
        margin-left: 10px;
      }
    }

    .form-actions {
      padding: 0;
      margin-bottom: 0;
    }

    .card-serveys-actions {
      margin-top: 15px;
    }

    .card-administrative-division-actions {
      margin-top: 5px;
    }
  }

  // Note: Modal footer will be show how the first body element.
  .modal-footer {
    color: red;
    background: $color-red-03;
    padding: 5px 10px;
    //position: absolute;
    //bottom: 0;
    //left: 0;
    //right: 0;
  }
}

.maintenance-mode-label {
  display: block;
  width: 100%;
  background-color: $color-red-09;
}

.maintenance-modal-content {
  max-width: 90%;
  width: 100%;
  background: $color-white-01;
  transform: translate3d(-50%, -50%, 0);
  padding: 45px 30px;
  position: absolute;
  top: 50%;
  left: 50%;

  @include desktop {
    max-width: 820px;
  }

  .maintenance-modal-text {
    font-size: 20px;
    text-align: center;
  }
}

.modal-re-plan {
  $bg-size: 28px;

  ul {
    li {
      list-style-type: none;
      margin-bottom: 15px;

      .freeCommunities {
        background: url(image-url('community.png')) no-repeat center;
        display: inline-block;
        background-size: $bg-size;
        margin-bottom: -6px;
        width: 20px;
        height: 20px;
        position: relative;
        padding-right: 33px;
      }

      .freeWSSystems {
        background: url(image-url('water.png')) no-repeat center;
        display: inline-block;
        background-size: $bg-size;
        border-radius: 10px;
        margin-bottom: -6px;
        width: 20px;
        height: 20px;
        position: relative;
        padding-right: 33px;
      }

      .freeWSProviders {
        background: url(image-url('lender.png')) no-repeat center;
        display: inline-block;
        background-size: $bg-size;
        border-radius: 10px;
        margin-bottom: -6px;
        width: 20px;
        height: 20px;
        position: relative;
        padding-right: 33px;
      }
    }
  }
}
